org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTCastExpression

All Superinterfaces:
  IASTCastExpression, IASTExpression, IASTImplicitDestructorNameOwner, IASTInitializerClause, IASTNode, ICPPASTExpression, ICPPASTInitializerClause

    public interface ICPPASTCastExpression
    extends IASTCastExpression, ICPPASTExpression

C++ adds in additional cast-style expressions.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`IASTExpression.ValueCategory`

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static int` `op_const_cast` `op_const_cast` is used for const_cast<>'s.
`static int` `op_dynamic_cast` `op_dynamic_cast` is used for dynamic_cast<>'s.
`static int` `op_last` `op_last` is for subinterfaces to extend.
`static int` `op_reinterpret_cast` <oode>op_reinterpret_cast is used for reinterpret_cast<>'s.
`static int` `op_static_cast` `op_static_cast` is used for static_cast<>'s.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTCastExpression

`op_cast, OPERAND, TYPE_ID`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`EMPTY_EXPRESSION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`IMPLICIT_DESTRUCTOR_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPASTCastExpression` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICPPASTCastExpression` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTCastExpression

`getOperand, getOperator, getTypeId, setOperand, setOperator, setTypeId`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`getExpressionType, getValueCategory, isLValue`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTInitializerClause

`getEvaluation`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`getImplicitDestructorNames`

### Field Detail

#### op_dynamic_cast

    static final int op_dynamic_cast

`op_dynamic_cast` is used for dynamic_cast<>'s.

See Also:
  Constant Field Values

#### op_static_cast

    static final int op_static_cast

`op_static_cast` is used for static_cast<>'s.

See Also:
  Constant Field Values

#### op_reinterpret_cast

    static final int op_reinterpret_cast

<oode>op_reinterpret_cast is used for reinterpret_cast<>'s.

See Also:
  Constant Field Values

#### op_const_cast

    static final int op_const_cast

`op_const_cast` is used for const_cast<>'s.

See Also:
  Constant Field Values

#### op_last

    static final int op_last

`op_last` is for subinterfaces to extend.

See Also:
  Constant Field Values

### Method Detail

#### copy

    ICPPASTCastExpression copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTCastExpression`
Specified by:
  `copy` in interface `IASTExpression`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

#### copy

    ICPPASTCastExpression copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTCastExpression`
Specified by:
  `copy` in interface `IASTExpression`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.4